Subject: bug#79024: 31.0.50; Multiple working trees support for VC

From: Sean Whitton <[email-masked]>
Date: Fri, 25 Jul 2025 17:56:28 +0100

Hello,

On Fri 25 Jul 2025 at 06:42pm +03, Eli Zaretskii wrote:

>> From: Sean Whitton <[email-masked]>
>> Cc: [email-masked],  [email-masked],  [email-masked]
>> Date: Fri, 25 Jul 2025 16:15:27 +0100
>>
>> On Fri 25 Jul 2025 at 05:44pm +03, Eli Zaretskii wrote:
>>
>> > Why does it have to be a separate backend?  Why cannot we rely on the
>> > user to be aware that worktrees are involved, as he/she must when
>> > invoking Git commands from the shell?
>>
>> There's no separate backend, just some new backend functions, so I think
>> you misunderstood.
>
> The question I asked still stands, regardless.

You mean, why the new backend functions?  To support the new user
commands.  I've been using my WIP version to switch between vc.el on the
trunk and in my WIP worktree, it's very nice :)

-- 
Sean Whitton